
x1 = linspace(0,900,900)/50;
new = importdata('06_wind.csv');
assignin('base','SOWFA1',new.data)
clear new

% Park Model Investigation
Vf = 8;                              % Freestream velocity 10 m/s
rho = 1.225;                         % Air Density
a = 1/3;                             % induction factor
% a = 0.185
N = 1;                               % Number of Turbines in a line
Ct = 4*a*(1-a);                      % Thrust Coefficient
Cp = 4*a*(1-a)^2;                    % Power Coeffient
x3 = linspace(0,126*10,1000);            % Distance downstream
D = 126;                             % Rotor Diameter
R = D/2;
A = pi*(D/2)^2;                      % Area of rotor
k = 0.075;                           % wake decay costant
kT = 0.045;                        % tuned k constant
% kT = 0.015
V = zeros(N,1);                      % initialize V
V(1) = Vf;
%v = 1.461*10^-5;                     % kinematic molecular viscosity
v = 1.461*10^-5;
c12 = D^2/(D+2*k*0.5)^2;
c23 = D^2/(D+2*k*0.5)^2;
c13 = D^2/(D+2*k*2*0.5)^2;
% Assume wind turbines are in a line... area overlap factor is 1.
% ------------------------------------------------------------------------
% Marden
set(gca,'Fontsize',19)

for i = 1:length(x3)
    c12 = D^2/(D+2*k*(x3(i)))^2;
    c12Tune = D^2/(D+2*kT*x3(i))^2;
    V(i+1000) = Vf*( 1-2*c12*a );
    V(i) = Vf;
    VT(i+1000) = Vf*( 1-2*c12Tune*a );
    VT(i) = Vf;
end
x3 = linspace(0,126*20,2000);

% Rotate Matrix
ang = -30;
ang = (pi/180)*ang;
for i = 1:101
    xS = SOWFA1(i,1)*cos(ang) - SOWFA1(i,2)*sin(ang);
    yS = SOWFA1(i,1)*sin(ang) + SOWFA1(i,2)*cos(ang);
    zS = SOWFA1(i,3);
    x_loc(i) = SOWFA1(i,6)*cos(ang) - (SOWFA1(i,7)-SOWFA1(1,7))*sin(ang);
    y_loc(i) = SOWFA1(i,6)*sin(ang) + (SOWFA1(i,7)-SOWFA1(1,7))*cos(ang);
    windtot(i) = sqrt(xS^2 + yS^2 + zS^2);
    %windtot(i) = sqrt((SOWFA1(i,1)^2) + (SOWFA1(i,2)^2) +
    %(SOWFA1(i,3)^2));
end
xTurb1 = (1099.14)*cos(ang) - (1312.31-SOWFA1(1,7))*sin(ang);

x1 = linspace(0,1800,1800)/50;


figure(1)
set(gca,'Fontsize',15)
plot((x3)/126 - xTurb1/126,VT/8,'k','linewidth',3);
hold on

plot(x_loc/126 - xTurb1/126,windtot/8,'r','linewidth',3)
hold on
line([0 0],[0 9],'Color',[0 0 0],'linewidth',3);
grid on
axis([-2 7 0 1]);
xlabel('Downstream Distance (D)')
ylabel('U/U_0')
legend('Park','SOWFA','Location','Best');
title('Streamwise Velocity Profile Downstream');

% savefig('VelocityProfile','pdf')
